[mythtv-users] Should a mythtv-0.20-148.fc5.at frontend be able to talk to a mythtv-0.20-146.fc6.at backend?

Nick Morrott knowledgejunkie at gmail.com
Fri Feb 23 04:05:20 UTC 2007

On 19/02/07, Matt Emmott <memmott at gmail.com> wrote:
> I'm running mythtv-0.20-146.fc6.at as a combined frontend/backend machine. I
> just set up a mythdora 3.2 box as a test frontend, but I haven't been able
> to get it to connect to the backend. If I go into mythtv status it can see

What is the output of mythfrontend --version on backend and new
frontend? If you know the revision of each installation, you can check
the protocol version and library versions by checking
for each revision.

> my backend's mythfilldatabase stats, but other than that I keep getting the
> "cannot connect to backend database" errors.

Can you connect to the database from the mythdora box from the command
line? I'm thinking this is still a database permissions error rather
than a MythTV protocol version from the error you noted. Check the
mysql.txt file for the new system and make sure the details of the SQL
server are correct, and ensure your SQL server has granted sufficient
permissions for the new machine to connect. What SQL GRANT statement
did you use to give access to the new box to the mythconverg database?

MythTV Official wiki:
MythTV users list archive:

"An investment in knowledge always pays the best interest." - Benjamin Franklin

More information about the mythtv-users mailing list